I suggest you ...

xbox one x And a rural town. Are not compatable!

When you recommend to people in rural towns to purchase Xbox one x Microsoft is at fault YOU NEED TO STATE THE BANWITH necessary to operate the box. the X requires 4.4 to operate! Where I am at its only 2.11 don't sell something that will not work.

4 votes
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    Signed in as (Sign out)

    We’ll send you updates on this idea

    louis shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    2 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base